DOMDocument::createDocumentFragment
DOMDocument::createElementNS
DOMDocument
PHP Manual

# DOMDocument::createElement

(No version information available, might be only in CVS)

DOMDocument::createElement — Create new element node

### Description

DOMElement DOMDocument::createElement ( string `$name` [, string `$value` ] )

This function creates a new instance of class DOMElement. This node will not show up in the document unless it is inserted with (e.g.) DOMNode->appendChild().

### Parameters

`name`

  The tag name of the element.

`value`

  The value of the element. By default, an empty element will be created. You can also set the value later with DOMElement->nodeValue.

### Return Values

Returns a new instance of class DOMElement or `FALSE` if an error occured.

### Errors/Exceptions

`DOM_INVALID_CHARACTER_ERR`

  Raised if `name` contains an invalid character.

### Examples

Example #1 Creating a new element and inserting it as root

`<?php
$dom = new DOMDocument('1.0', 'iso-8859-1');
$element = $dom->createElement('test', 'This is the root element!');
// We insert the new element as root (child of the document)
$dom->appendChild($element);
echo $dom->saveXML();
?>`

The above example will output:

    <?xml version="1.0" encoding="iso-8859-1"?>
    <test>This is the root element!</test>

### See Also

- DOMNode::appendChild
- DOMDocument::createAttribute
- DOMDocument::createAttributeNS
- DOMDocument::createCDATASection
- DOMDocument::createComment
- DOMDocument::createDocumentFragment
- DOMDocument::createElementNS
- DOMDocument::createEntityReference
- DOMDocument::createProcessingInstruction
- DOMDocument::createTextNode

DOMDocument::createDocumentFragment
DOMDocument::createElementNS
DOMDocument
PHP Manual